Create a subscription
curl --request POST \
--url https://swish.app/api/2026-07/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact": "customer@example.com",
"productId": "123456799",
"variantId": "456789123",
"type": "back_in_stock",
"channel": "email",
"marketContextType": "country",
"marketContextValue": "IE"
}
'import requests
url = "https://swish.app/api/2026-07/subscriptions"
payload = {
"contact": "customer@example.com",
"productId": "123456799",
"variantId": "456789123",
"type": "back_in_stock",
"channel": "email",
"marketContextType": "country",
"marketContextValue": "IE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact: 'customer@example.com',
productId: '123456799',
variantId: '456789123',
type: 'back_in_stock',
channel: 'email',
marketContextType: 'country',
marketContextValue: 'IE'
})
};
fetch('https://swish.app/api/2026-07/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://swish.app/api/2026-07/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contact' => 'customer@example.com',
'productId' => '123456799',
'variantId' => '456789123',
'type' => 'back_in_stock',
'channel' => 'email',
'marketContextType' => 'country',
'marketContextValue' => 'IE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://swish.app/api/2026-07/subscriptions"
payload := strings.NewReader("{\n \"contact\": \"customer@example.com\",\n \"productId\": \"123456799\",\n \"variantId\": \"456789123\",\n \"type\": \"back_in_stock\",\n \"channel\": \"email\",\n \"marketContextType\": \"country\",\n \"marketContextValue\": \"IE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://swish.app/api/2026-07/subscriptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contact\": \"customer@example.com\",\n \"productId\": \"123456799\",\n \"variantId\": \"456789123\",\n \"type\": \"back_in_stock\",\n \"channel\": \"email\",\n \"marketContextType\": \"country\",\n \"marketContextValue\": \"IE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://swish.app/api/2026-07/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contact\": \"customer@example.com\",\n \"productId\": \"123456799\",\n \"variantId\": \"456789123\",\n \"type\": \"back_in_stock\",\n \"channel\": \"email\",\n \"marketContextType\": \"country\",\n \"marketContextValue\": \"IE\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"contact": "customer@example.com",
"productId": "123456799",
"variantId": "456789123",
"type": "back_in_stock",
"channel": "email",
"status": "active",
"createdAt": "2025-01-01T10:00:00.000Z",
"updatedAt": "2025-01-01T10:00:00.000Z",
"cancelledAt": "2025-01-01T10:00:00.000Z",
"marketContextType": "country",
"marketContextValue": "IE"
}
}{
"error": {
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "Failed to authenticate request",
"error": "Unauthorized",
"statusCode": 401,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "The requested resource was not found",
"error": "Not Found",
"statusCode": 404,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}Subscriptions
Create a subscription
Creates a new product subscription
POST
/
subscriptions
Create a subscription
curl --request POST \
--url https://swish.app/api/2026-07/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact": "customer@example.com",
"productId": "123456799",
"variantId": "456789123",
"type": "back_in_stock",
"channel": "email",
"marketContextType": "country",
"marketContextValue": "IE"
}
'import requests
url = "https://swish.app/api/2026-07/subscriptions"
payload = {
"contact": "customer@example.com",
"productId": "123456799",
"variantId": "456789123",
"type": "back_in_stock",
"channel": "email",
"marketContextType": "country",
"marketContextValue": "IE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact: 'customer@example.com',
productId: '123456799',
variantId: '456789123',
type: 'back_in_stock',
channel: 'email',
marketContextType: 'country',
marketContextValue: 'IE'
})
};
fetch('https://swish.app/api/2026-07/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://swish.app/api/2026-07/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contact' => 'customer@example.com',
'productId' => '123456799',
'variantId' => '456789123',
'type' => 'back_in_stock',
'channel' => 'email',
'marketContextType' => 'country',
'marketContextValue' => 'IE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://swish.app/api/2026-07/subscriptions"
payload := strings.NewReader("{\n \"contact\": \"customer@example.com\",\n \"productId\": \"123456799\",\n \"variantId\": \"456789123\",\n \"type\": \"back_in_stock\",\n \"channel\": \"email\",\n \"marketContextType\": \"country\",\n \"marketContextValue\": \"IE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://swish.app/api/2026-07/subscriptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contact\": \"customer@example.com\",\n \"productId\": \"123456799\",\n \"variantId\": \"456789123\",\n \"type\": \"back_in_stock\",\n \"channel\": \"email\",\n \"marketContextType\": \"country\",\n \"marketContextValue\": \"IE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://swish.app/api/2026-07/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contact\": \"customer@example.com\",\n \"productId\": \"123456799\",\n \"variantId\": \"456789123\",\n \"type\": \"back_in_stock\",\n \"channel\": \"email\",\n \"marketContextType\": \"country\",\n \"marketContextValue\": \"IE\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"contact": "customer@example.com",
"productId": "123456799",
"variantId": "456789123",
"type": "back_in_stock",
"channel": "email",
"status": "active",
"createdAt": "2025-01-01T10:00:00.000Z",
"updatedAt": "2025-01-01T10:00:00.000Z",
"cancelledAt": "2025-01-01T10:00:00.000Z",
"marketContextType": "country",
"marketContextValue": "IE"
}
}{
"error": {
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "Failed to authenticate request",
"error": "Unauthorized",
"statusCode": 401,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "The requested resource was not found",
"error": "Not Found",
"statusCode": 404,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}Headers
The market context value (e.g. 'IE')
Example:
"IE"
The market context type (e.g. 'country')
Example:
"country"
Body
application/json
The contact information for the subscription (phone or email)
Example:
"customer@example.com"
The Shopify product ID
Example:
"123456799"
The Shopify variant ID. Required — subscriptions are variant-level only.
Example:
"456789123"
The type of subscription
Available options:
back_in_stock Example:
"back_in_stock"
The channel for the subscription
Available options:
email, sms Example:
"email"
The market context type for the subscription
Available options:
country Example:
"country"
The market context value for the subscription (e.g. 'IE')
Example:
"IE"
Response
The subscription has been successfully created.
Response data
Show child attributes
Show child attributes